Package org.globus.util

# Class GlobusPathMatchingResourcePatternResolver

java.lang.Object
org.globus.util.GlobusPathMatchingResourcePatternResolver

public class GlobusPathMatchingResourcePatternResolver extends Object
Provides methods to resolve locationPatterns and return GlobusResource objects which match those location patterns. Supports Ant-Style regular expressions, where: ** matches any number of directories ? matches one character * matches any number of characters Supports file:, classpath:, and relative paths. Provides similar functionality to spring framework's PathMatchingResourcePatternResolver 3/2/2012

## Constructor Summary

Constructors
Constructor
Description
`GlobusPathMatchingResourcePatternResolver()`

## Method Summary

Modifier and Type
Method
Description
`GlobusResource`
`getResource(String location)`
This method takes a location string and returns a GlobusResource of the corresponding location.
`GlobusResource[]`
`getResources(String locationPattern)`
Finds all the resources that match the Ant-Style locationPattern

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GlobusPathMatchingResourcePatternResolver

public GlobusPathMatchingResourcePatternResolver()

## Method Details

### getResource

public GlobusResource getResource(String location)
This method takes a location string and returns a GlobusResource of the corresponding location. This method does not accept any patterns for the location string.

Parameters:
  `location` - An absolute or relative location in the style classpath:/folder/className.class, file:/folder/fileName.ext, or folder/folder/fileName.ext
Returns:
  A GlobusResource type object of the corresponding location string.

### getResources

public GlobusResource[] getResources(String locationPattern)
Finds all the resources that match the Ant-Style locationPattern

Parameters:
  `locationPattern` - Ant-Style location pattern which may be prefixed with classpath:/, file:/, or describe a relative path.
Returns:
  An array of GlobusResource containing all resources whose locaiton match the locationPattern